Off-Auction Distribution (/markets/off_auction_distribution)

You can get the off-auction distribution data

Overview

This data includes the name of the security, the selling price, and the planned volume on the business day prior to the auction. Additionally, the executed volume on the day of the auction is promptly reported.

This data is the same as the following site but has a longer history. https://www.jpx.co.jp/english/markets/equities/off-auction-distro/index.htmlarrow-up-right

Attention

circle-info
  • Data will not be provided on days when the above transactions did not take place.

Parameter and Response

In your request message, either "code", "implementation_date" and "publication_date" must be specified. Combination of parameters in the request and results are as below.

code
publication_date
publication_date_from/publication_date_to
implementation_date
implementation_date_from/implementation_date_to
Results

All historical data of a specific issue.

All listed issue data for the specific date(PublicationDate).

All listed issue data for the specific date(ImplementationDate)

Data of a specific issue for the specified date(PublicationDate)

Data of a specific issue for the specified date(ImplementationDate)

Data of a specific issue for the specified period(PublicationDate).

Data of a specific issue for the specified period(ImplementationDate).

The date parameter only accepts one input at a time, resulting in an error if both are provided.

The date parameter only accepts one input at a time, resulting in an error if both are provided.

Get off-auction distribution data

GET https://api.jquants-pro.com/v2/markets/off_auction_distribution

Either 'implementation_date','publication_date' or 'code' must be specified.

"*" Required.

Query Parameters

Name
Type
Description

code

String

issue code

(e.g. 27890 or 2789)

If a 4-character issue code is specified, only the data of common stock will be obtained for the issue on which both common and preferred stocks are listed.

publication_date

String

publication date of data

(e.g. 20220106 or 2022-01-06)

publication_date_from

String

starting point of publication date period

(e.g. 20220105 or 2022-01-05)

publication_date_to

String

end point of publication date period

(e.g. 20220105 or 2022-01-05)

implementation_date

String

implementation date of data

(e.g. 20220106 or 2022-01-06)

implementation_date_from

String

starting point of implementation date period

(e.g. 20220105 or 2022-01-05)

implementation_date_to

String

end point of implementation date period

(e.g. 20220105 or 2022-01-05)

pagination_key

String

The primary key of the first item that this operation will evaluate. Use the value that was returned for pagination_key in the previous operation.

Headers

Name
Type
Description

Authorization*

String

Access Key

Data Item

Variable
Description
Data Type
Remark

PublicationDate

Date of publication

String

YYYY-MM-DD

ImplementationDate

Trading day

String

YYYY-MM-DD

Code

Issue code

String

5-Character

StockName

Name of stock (Japanese)

String

StockNameEnglish

Name of stock (English)

String

ClosingPrice

Closing price on the day before implementation date

Number

The values are displayed up to the 4th decimal place.

DistributionPrice

Distribution price

Number

NumberOfSharesToBeDistributed

Number of shares to be distributed

Number

NumberOfTradedShares

Number of traded shares

Number

Cancel Flag

Cancel flag

String

If the distribution is cancelled after publication, it will be updated from 0 to 1

Sample Code

Last updated